Update an existing interest rate tier for a specified purse and account.

This endpoint allows Partners to:

  • Add an end date to an interest rate tier
  • Remove an end date from an interest rate tier
  • Update an interest rate tier end date
  • End an interest rate tier on a user’s account by adding an end date.
  • Remove an end date from an interest rate tier and return it to active on a user’s account.
  • Update an interest rate tier end date to the day before the next bill cycle date.

How to add an end date to an interest rate tier:

  • An interestRateTier can be ended or closed by adding an end date to it. Simply call PUT /purses/{purseIdentifier}/interestRateTier/{interestRateTierIdentifier} with:
    • A valid interestRateTierIdentifier
    • A valid end date (must be in the future and the last day of a monthly cycle for the account)
    • Note: The interestRateTier that the end date is being applied to, cannot have an end date already and it must have the most recent start date if there are multiple tiers on the account.
  • An interestRateTier that is scheduled to start at a future date can be updated if it has a valid interestRateTierIdentifier and a valid interestRateTier enum.
    • Simply call PUT /purses/{purseIdentifier}/interestRateTier/{interestRateTierIdentifier} to update.
    • Note: Adding an end date to an interestRateTier and updating an interestRateTier that is scheduled to start at a future date can both be done in a single call. So, submitting a valid end date AND a new interestRateTier will update both fields.

How to remove an end date from an interest rate tier:

  • Partner calls PUT …/purses/{purseIdentifier}/interestRateTier/{interestRateTierIdentifier} and the following is true:
    • Current interest rate tier has an end date that is today or in the future
    • No interest rate tier is scheduled to follow the current interest rate tier
    • removeEndDateFlag is true
    • Optional interestYieldEndDate is provided – Ignored if removeEndDateFlag is true
  • The end date is removed, and the interest rate tier remains active.

How to update an end date on an interest rate tier:

  • Partner calls PUT …/purses/{purseIdentifier}/interestRateTier/{interestRateTierIdentifier} and the following is true:
    • Current interest rate tier has an end date that is today or in the future
    • Provided interest rate tier has an end date that is today or in the future
    • No interest rate tier is scheduled to follow the current interest rate tier
  • The interest rate tier end date is updated to:
    • The day before the next bill cycle on or after the new interestYieldEndDate
    • If no interestYieldEndDate is provided, the day before the very next bill cycle date occurs
  • The updated end date is included in the response.
Path Params
string
required

The program code associated with the request.

string
required

The account identifier (GUID format) for which to update the interest rate tier.

string
required

The purse identifier (GUID format) for which to update the interest rate tier.

string
required

The interest rate tier identifier (GUID format) to update.

Body Params

The request object containing details of the interest rate tier update.

string | null

Gets or sets the interest rate tier value to be applied. Serialized as "interestRateTier" in the request payload.

string | null

Gets or sets the end date for the interest yield, if applicable. Serialized as "interestYieldEndDate" in the request payload.

boolean

Gets or sets a value indicating whether the interest yield end date should be removed. Serialized as "removeInterestYieldEndDate" in the request payload.

string | null

Gets or sets the start date for the interest yield, if applicable. Serialized as "interestYieldStartDate" in the request payload.

boolean | null

Gets or sets a value indicating whether the start date should be automatically aligned. Serialized as "autoAlignStartDate" in the request payload.

Headers
string
required

The unique request identifier from the X-GD-RequestId header.

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

401

Unauthorized

Language
Credentials
Header
LoadingLoading…
Response
Choose an example:
application/json
text/json